<?php
class AgregarComentarioAction extends wtActions
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        
        $this->i_OrdId = intval( $this->getRequestParameter( 'id' ) );
        $this->b_Control = intval( $this->getRequestParameter( 'Control' ) );
        $this->s_Mensaje = "";
        
        $o_VTA_OrdenFN = new VTA_OrdenFN();
        $this->o_VTA_OrdenBN = $o_VTA_OrdenFN->selectByPK( $this->i_OrdId );
        
        if( $this->getRequestParameter( 'Control' ) )
        {
            try
            {
                myUser::getUser()->validar_session();
                
                $s_Comentario  = $this->getRequestParameter( 'txt_comentario' );
                
                //submit, se agrega el comentario
                $i_Id = VTA_OrdenDetalleDP::recuperarId( $this->o_VTA_OrdenBN->getOrdenId() );
                
                $o_VTA_OrdenDetalleBN = new VTA_OrdenDetalleBN();
                $o_VTA_OrdenDetalleBN->setOrdenId( $this->i_OrdId );
                $o_VTA_OrdenDetalleBN->setOrdenDetalleNum( $i_Id );
                $o_VTA_OrdenDetalleBN->setItemTipo( VTA_OrdenDetalleBN::TIPO_COMENTARIO );
                $o_VTA_OrdenDetalleBN->setOrdenDetalleDescripcion( $s_Comentario );
                $o_VTA_OrdenDetalleBN->setUsuarioModificacion( myUser::getUser()->getUserId() );
                $o_VTA_OrdenDetalleBN->setFechaModificacion( date( "Y-m-d H:i:s" ) );
                $o_VTA_OrdenDetalleBN->setUsuarioCreacion( myUser::getUser()->getUserId() );
                $o_VTA_OrdenDetalleBN->setFechaCreacion( date( "Y-m-d H:i:s" ) );
                
                $o_VTA_OrdenDetalleDP = new VTA_OrdenDetalleDP( $o_VTA_OrdenDetalleBN );
                $o_VTA_OrdenDetalleDP->save();
                
            }
            catch ( Exception $o_Exception )
            {
                $this->b_Control = false; 
                $this->s_Mensaje = $o_Exception->getMessage();
            }
        }
    }
}